Package org.gitana.platform.client.webhost

# Interface WebHost

All Superinterfaces:
  `AccessControllable`, `ClusterDataStore`, `Copyable`, `DataStore`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDataStore`, `Referenceable`, `Selfable`, `Serializable`, `Teamable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `WebHostImpl`

public interface WebHost extends PlatformDataStore

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_AUTOMANAGED_URL_PATTERNS`
`static final String`
`FIELD_DEPLOYER_TYPES`
`static final String`
`FIELD_KEY`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`AutoClientMapping`
`createAutoClientMapping(String host, String appKey, String applicationId, String clientKey, String authGrantKey)`
`void`
`deleteAutoClientMapping(String autoClientMappingId)`
`void`
`deleteAutoClientMapping(AutoClientMapping autoClientMapping)`
`List<String>`
`getAutoManagedUrlPatterns()`
`List<String>`
`getDeployerTypes()`
`String`
`getKey()`
`Platform`
`getPlatform()`
`boolean`
`hasDeployerType(String deployerType)`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
`listAutoClientMappings()`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
`listAutoClientMappings(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
`listDeployedApplications()`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
`listDeployedApplications(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
`queryAutoClientMappings(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
`queryAutoClientMappings(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
`queryDeployedApplications(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
`queryDeployedApplications(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`AutoClientMapping`
`readAutoClientMapping(String autoClientMappingId)`
`DeployedApplication`
`readDeployedApplication(String deployedApplicationId)`
`void`
`setAutoManagedUrlPatterns(List<String> urlPatterns)`
`void`
`setDeployerTypes(List<String> deployerTypes)`
`void`
`setKey(String key)`
`void`
`updateAutoClientMapping(AutoClientMapping autoClientMapping)`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.cluster.ClusterDataStore

`getCluster`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.team.Teamable

`createTeam, createTeam, deleteTeam, getOwnersTeam, getTeamableBaseUri, listTeams, readTeam`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_AUTOMANAGED_URL_PATTERNS

static final String FIELD_AUTOMANAGED_URL_PATTERNS

See Also:
  - Constant Field Values

### FIELD_DEPLOYER_TYPES

static final String FIELD_DEPLOYER_TYPES

See Also:
  - Constant Field Values

### FIELD_KEY

static final String FIELD_KEY

See Also:
  - Constant Field Values

## Method Details

### getKey

String getKey()

### setKey

void setKey(String key)

### getAutoManagedUrlPatterns

List<String> getAutoManagedUrlPatterns()

### setAutoManagedUrlPatterns

void setAutoManagedUrlPatterns(List<String> urlPatterns)

### getDeployerTypes

List<String> getDeployerTypes()

### setDeployerTypes

void setDeployerTypes(List<String> deployerTypes)

### hasDeployerType

boolean hasDeployerType(String deployerType)

### getPlatform

Platform getPlatform()

Specified by:
  `getPlatform` in interface `PlatformDataStore`
Returns:
  platform

### listAutoClientMappings

org.gitana.platform.support.ResultMap<AutoClientMapping> listAutoClientMappings()

### listAutoClientMappings

org.gitana.platform.support.ResultMap<AutoClientMapping> listAutoClientMappings(org.gitana.platform.support.Pagination pagination)

### readAutoClientMapping

AutoClientMapping readAutoClientMapping(String autoClientMappingId)

### createAutoClientMapping

AutoClientMapping createAutoClientMapping(String host, String appKey, String applicationId, String clientKey, String authGrantKey)

### queryAutoClientMappings

org.gitana.platform.support.ResultMap<AutoClientMapping> queryAutoClientMappings(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryAutoClientMappings

org.gitana.platform.support.ResultMap<AutoClientMapping> queryAutoClientMappings(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### updateAutoClientMapping

void updateAutoClientMapping(AutoClientMapping autoClientMapping)

### deleteAutoClientMapping

void deleteAutoClientMapping(AutoClientMapping autoClientMapping)

### deleteAutoClientMapping

void deleteAutoClientMapping(String autoClientMappingId)

### listDeployedApplications

org.gitana.platform.support.ResultMap<DeployedApplication> listDeployedApplications()

### listDeployedApplications

org.gitana.platform.support.ResultMap<DeployedApplication> listDeployedApplications(org.gitana.platform.support.Pagination pagination)

### readDeployedApplication

DeployedApplication readDeployedApplication(String deployedApplicationId)

### queryDeployedApplications

org.gitana.platform.support.ResultMap<DeployedApplication> queryDeployedApplications(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryDeployedApplications

org.gitana.platform.support.ResultMap<DeployedApplication> queryDeployedApplications(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)